Subject: Multiple NAND chips with 4xx NAND driver

From: Felix Radensky <[email-masked]>
Date: Fri, 01 May 2009 10:43:06 +0300

Hi,

I will soon have 460EX board with twin die NAND device having
2 chip selects. A comment in ndfc driver says that several NAND
chips are not supported. What should be modified in the driver to
support such configuration ? I'd like to have a separate mtd device
per chip select, and then concatenate them into a single device, which
can later be partitioned. Do ndfc DTS bindings support that ?

Thanks a lot.

Felix.